Subject: bug#20526: grep BUG: text file is detected as binary

From: Jim Meyering <[email-masked]>
Date: Wed, 6 Jan 2016 10:11:36 -0800

On Wed, Jan 6, 2016 at 9:57 AM, Paul Eggert <[email-masked]> wrote:
> On 01/06/2016 12:32 AM, Paul Eggert wrote:
>>
>> I installed the attached patch, which fixed this performance bug for me.
>
> Whoops! I forgot to 'git add src/search.h' before committing. We also need
> the attached followup patch, which I installed.

Oh, perfect!  Thank you once again.  Happy new year.

Interestingly, while running tests of the just-updated code, I've just
noticed an unrelated false-positive failure on fast systems: I will
adjust the mb-non-UTF8-performance test to be more adaptive: rather
than using a fixed-size input, I'll choose one that is large enough to
make the unibyte grep invocation take a certain amount of time.

Once that's resolved, I'll make a pre-release snapshot, planning to
let that soak for a couple weeks before releasing grep-2.23.